[Haskell-cafe] Platform Versioning Policy: upper bounds are not our friends

Brandon Allbery allbery.b at gmail.com
Thu Aug 16 00:55:03 CEST 2012

On Wed, Aug 15, 2012 at 6:46 PM, Carter Schonwald <
carter.schonwald at gmail.com> wrote:

> no one is disputing that there are conditional changes in dependencies
> depending on library versions.

Indeed.  But the ghc release that split up base broke cabalised packages
with no warning to users until they failed to compile.  Upper bounds were
put in place to avoid that kind of breakage in the future.

brandon s allbery                                      allbery.b at gmail.com
wandering unix systems administrator (available)     (412) 475-9364 vm/sms
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/haskell-cafe/attachments/20120815/2e712234/attachment.htm>

More information about the Haskell-Cafe mailing list